Welcome to our new Vignette ID Developer Portal documentation!
Partner API (v1.0)

Orders List Endpoints

Server

Endpoints for interacting with orders.


Get Orders

GET
https://sandbox-api.vignette.id
/public/orders

This endpoint allows you to obtain a list of all partner orders with all the necessary information about the order.

โš ๏ธ Rate limit policy applies to this endpoint Check Rate Limits

Get Orders โ€บ query Parameters

status
โ€‹string

Returns filtered orders by status.

โ€ข Statuses

Each vignette can have one of the statuses:

PENDING, WILL BE ACTIVE, ACTIVE, EXPIRED, REFUNDED, DELETED

More about status list.

bug_report
โ€‹boolean

Use with all endpoints to inform us for bugs in API

Default: false

Get Orders โ€บ Headers

Authorization
โ€‹stringย ยทย required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get Orders โ€บ Responses

Successful operation

id
โ€‹string
email
โ€‹string
created_date
โ€‹number

Create order

POST
https://sandbox-api.vignette.id
/public/orders

New paid order on partner side initiate request for processing in Vignette ID system.

โš ๏ธ Once an order moves to the pending status, it can no longer be modified.

Create order โ€บ Headers

Authorization
โ€‹stringย ยทย required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Content-Type
โ€‹stringย ยทย enumย ยทย required

Specifies the format of the request body. Must be 'application/json' for requests with a JSON body.

Enum values:
application/json
Default: application/json

Create order โ€บ Request Body

terms_and_privacy_accepted
โ€‹booleanย ยทย required

Must be true to indicate that terms and privacy are accepted. Partner need to store this information in the user order.

Example: true
order_has_been_paid
โ€‹booleanย ยทย required

โ€ข true - this means that the partner accepted and processed the payment on his side.

โ€ข false - to pay for an order, the API generates a link and returns it to the response in payment_link, which the partner must display to the user. The payment is processed on our side.

Example: true
โ€‹object[]ย ยทย required

Array of Vehicles with vehicle plate and registration country.

โ€‹object[]ย ยทย required

Array of vignettes with custom id, name, period, and start date.

send_payment_link
โ€‹stringย ยทย enum

Not required. Defines how the payment link should be delivered to the user:

โ€ข email - send the payment link to the user's email.

โ€ข sms - send the payment link via SMS to the user's phone number.

If omitted, the payment link is only returned in the response (payment_link).

Enum values:
email
sms
Example: email
allowed_payment_providers
โ€‹string[]ย ยทย minItems: 1ย ยทย unique

Not required. Payment providers the user can pay with on the Vignette ID payment page. The final provider is chosen by the user at checkout.

If omitted, defaults to ["stripe", "paypal"].

โš ๏ธ Only allowed when order_has_been_paid is false โ€” the payment page is not shown when the partner collects the payment.

Enum values:
stripe
paypal
monobank
Default: ["stripe","paypal"]
open_order_details_by_default
โ€‹boolean

Not required. When true, the Vignette ID payment page opens with the order details section expanded. Defaults to false.

โš ๏ธ Only allowed when order_has_been_paid is false โ€” the payment page is not shown when the partner collects the payment.

Example: false
Default: false
โ€‹object

User data.

subaccount
โ€‹string

Partner can provide different sub-account names which mean different user UI or apps

โ€‹object

Create order โ€บ Responses

Successful operation

โ€‹

Error can be null, a simple string code, or an object with details.

โ€‹object

Validate order

POST
https://sandbox-api.vignette.id
/public/orders/validate

Pre-flight validation of an order payload (vehicles + products) before calling Create order.

Returns the same 400 error types as Create order but performs no payment, no order persistence and no user creation. Use it to validate a basket on the partner side before checkout.

โš ๏ธ Rate limit policy applies to this endpoint Check Rate Limits

Validate order โ€บ Headers

Authorization
โ€‹stringย ยทย required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Content-Type
โ€‹stringย ยทย enumย ยทย required

Specifies the format of the request body. Must be 'application/json' for requests with a JSON body.

Enum values:
application/json
Default: application/json

Validate order โ€บ Request Body

Pre-flight validation of an order payload (cars + products) before calling create order. Does not require payment, terms or user data.
โ€‹object[]ย ยทย required

Array of Vehicles with vehicle plate and registration country.

โ€‹object[]ย ยทย required

Array of vignettes with name, period, and start date.

Validate order โ€บ Responses

Payload is valid and an order with the same data would be accepted by Create order

โ€‹

Error can be null, a simple string code, or an object with details.

โ€‹object

Get Order

GET
https://sandbox-api.vignette.id
/public/orders/{id}

โ€ข id - order id in Vignette ID system

โ€ข custom_id - order id in Partner system

โ€ข provider_id - unique vignette id in national (government) providers systems

โ€ข cars -> provider_id - unique vignette identificator in national provider system

โ€ข cars -> pdf - confirmation file from national provider system.

โš ๏ธ Rate limit policy applies to this endpoint Check Rate Limits

โ€ข modify, full_refund, partial_refund - capability blocks telling you whether the order can be modified or refunded right now, until when, and (for refunds) for how much. Present on Flex orders.

โ€ข flex - Flexible Service configuration recorded on the order.

Get Order โ€บ path Parameters

id
โ€‹stringย ยทย required

id of order in Vignette ID system or custom_id from Partner system

Get Order โ€บ query Parameters

bug_report
โ€‹boolean

Use with all endpoints to inform us for bugs in API

Default: false

Get Order โ€บ Headers

Authorization
โ€‹stringย ยทย required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get Order โ€บ Responses

Specific order description test

โ€‹

Error can be null, a simple string code, or an object with details.

โ€‹object

Get Order Status

GET
https://sandbox-api.vignette.id
/public/orders/{id}/status

Returns only the order status. Applicable in cases where you need to check only the status without other information.

โš ๏ธ Rate limit policy applies to this endpoint Check Rate Limits

Get Order Status โ€บ path Parameters

id
โ€‹stringย ยทย required

id of order in Vignette ID system or custom_id from Partner system

Get Order Status โ€บ query Parameters

bug_report
โ€‹boolean

Use with all endpoints to inform us for bugs in API

Default: false

Get Order Status โ€บ Headers

Authorization
โ€‹stringย ยทย required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get Order Status โ€บ Responses

Specific order description test

โ€‹

Error can be null, a simple string code, or an object with details.

โ€‹object

Cancel Pending Order

POST
https://sandbox-api.vignette.id
/public/orders/{id}/cancel-pending

The ability to cancel an order that has a PENDING status if it is not processed within the specified time period

โ€ข PENDING - only.

โš ๏ธ Rate limit policy applies to this endpoint Check Rate Limits

Cancel Pending Order โ€บ path Parameters

id
โ€‹stringย ยทย required

id of order in Vignette ID system or custom_id from Partner system

Cancel Pending Order โ€บ query Parameters

bug_report
โ€‹boolean

Use with all endpoints to inform us for bugs in API

Default: false

Cancel Pending Order โ€บ Headers

Authorization
โ€‹stringย ยทย required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Cancel Pending Order โ€บ Responses

Specific order description test

error
โ€‹object | string | null
โ€‹object

Cancel Deferred Order

POST
https://sandbox-api.vignette.id
/public/orders/{id}/cancel-deferred

The ability to cancel an order that has a DEFERRED status if it is not processed within the specified time period

โ€ข DEFERRED - only.

โš ๏ธ Rate limit policy applies to this endpoint Check Rate Limits

Cancel Deferred Order โ€บ path Parameters

id
โ€‹stringย ยทย required

id of order in Vignette ID system or custom_id from Partner system

Cancel Deferred Order โ€บ query Parameters

bug_report
โ€‹boolean

Use with all endpoints to inform us for bugs in API

Default: false

Cancel Deferred Order โ€บ Headers

Authorization
โ€‹stringย ยทย required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Cancel Deferred Order โ€บ Responses

Specific order description test

error
โ€‹object | string | null
โ€‹object